   DATE:  July 8, 1994
PRODUCT:  WordPerfect 5.1 for Windows  (04/30/92)
SUBJECT:  Legal Outline Style W/ All Levels At Left Margin Starting
          W/ 1.0

Problem:
In WPWin 5.1, the user wanted to create a slightly altered version
of the Legal Outline Style.  The user wanted all outline levels
(attachments) to be on the left margin and to have the first level
use 1.0 (with a .0) instead of just 1.

Answer:
Use the following steps to create this Style:
1.   Choose File|Preferences|Location of Files and make sure that
     LIBRARY.STY is in a location where the user has rights.
2.   Select Tools|Outline|On.
3.   Select Tools|Outline|Define and click on Legal.
4.   Click on the Change button and then on Create.
5.   Type a name and description and then click on Edit (while
     highlighting level 1).
6.   Add .0 after the [Par Num:1] code, choose Close, then OK.
7.   Click Save As and save to a style library.  (NOTE: The user
     can save to LIBRARY.STY and answer Yes to Replace? if
     desired.)
8.   Click Select and then OK.

NOTE: Whenever the user wants to use this type of Outline, the user
should choose Tools|Outline|Define|highlight Legal|click on Change,
and select the newly created Style.   DATE:  August 4, 1992  (Revised: July 8, 1994)
PRODUCT:  WordPerfect 5.1 for Windows  
SUBJECT:  Setting Up The WordPerfect Group For Users On A Network
 
ADDING WORDPERFECT FOR WINDOWS TO THE PROGRAM MANAGER DESKTOP
Many administrators/users are frustrated by the fact that the
WordPerfect group does not show up on every desktop after WPWin is
installed.  This document is intended to provide a solution for
that problem.  It uses technology available in Windows 3.0 and 3.1
using the SETUP.EXE and SETUP.INF files.

Windows 3.0
Windows 3.0 will modify a user's existing groups when running SETUP
/P.  For example, a user has a group called MAIN that they have
modified.  If SETUP /P is run, the user's MAIN group will be
deleted and replaced with the default information found in the
SETUP.INF file.  The following will explain ways to add the WPWin
group to new users who have not yet run SETUP /N, and will also
explain a way to add only the WPWin group to the user's existing
desktop.

Adding WPWIN for users who have not yet run SETUP /N:
1.   Open the SETUP.INF and move the cursor to the section labeled
     [progman.groups].  The file will look like this:

[progman.groups]
Main,1
Accessories
Games

[Main]
"File Manager",     WINFILE.EXE
"Control Panel",    CONTROL.EXE
    etc.

[Accessories]
"Write",            WRITE.EXE
"Paintbrush",       PBRUSH.EXE
    etc.

[Games]
"Solitaire",        SOL.EXE
"Reversi",          REVERSI.EXE


Make the changes shown below (changes will be in bold).  Users may
just include the application's executable filename and not the
entire path if WordPerfect is going to be in the DOS path.  (The J
drive is used as an example.  Any drive letter may be chosen.)

[progman.groups]
Main,1
Accessories
Games
WordPerfect

[Main]
"File Manager",     WINFILE.EXE
"Control Panel",    CONTROL.EXE
   etc.

[Accessories]
"Write",            WRITE.EXE
"Paintbrush",       PBRUSH.EXE
   etc.

[Games]
"Solitaire",        SOL.EXE
"Reversi",          REVERSI.EXE

[WordPerfect]
"WordPerfect",      J:\APPS\WPWIN\WPWIN.EXE
"File Manager",     J:\APPS\WPC\FMWIN.EXE
"Speller",          J:\APPS\WPC\SPWIN.EXE
"Thesaurus",        J:\APPS\WPC\THWIN.EXE

Adding WPWin to a user's existing desktop after they have run SETUP
/N:
1.   Create a directory under the master Windows directory called
     WPSETUP.

2.   Copy SETUP.EXE from the Windows directory into the WPSETUP
     directory. 

3.   Create the a DOS text file called SETUP.INF that contains the
     following:

[progman.groups]
WordPerfect

[WordPerfect]
"WordPerfect",      J:\APPS\WPWIN\WPWIN.EXE
"File Manager",     J:\APPS\WPC\FMWIN.EXE
"Speller",          J:\APPS\WPC\SPWIN.EXE
"Thesaurus",        J:\APPS\WPC\THWIN.EXE

4.   From the user's desktop, bring down the file menu, click on
     run and type J:\APPS\WINDOWS\WPSETUP\SETUP /P.  This will add
     the WordPerfect group only and will leave existing groups
     alone.

This will also work for users running a stand-alone version of
Windows.  Just run SETUP /P from the new WPSETUP directory, as
stated in the item above.

Windows 3.1
If the user is installing Windows 3.1 and WordPerfect 5.1 for
Windows at the same time, they will need to edit the SETUP.INF
file.  If they are installing WordPerfect after they have installed
Windows, they will still have to make the same modifications.  A
section of the SETUP.INF file is shown below before making the
modifications for WordPerfect:

; This section is used for upgrading from 3.X to 3.1.
[new.groups]
group1=StartUp
group2=Accessories
group6=Games
group7=Main,1

; This section is for new install.
[progman.groups]
group1=StartUp
group3=Main,1
group4=Accessories
group5=Games

; Progman DDE control section. This section controls the progman
DDE and
; defines which .exe's will be added to which groups. The
[progman.groups]
; sections lists section names that each describe the contents of
that
; group.
;
; Description string,  .EXE name, Icon extraction .EXE, Icon
extraction
; index, profile
;
; If the profile field is left NULL, the item will always be added
to the
; group. Otherwise the item will only be added if it was installed
via the
; partial install dlg.
;
; NOTE: If EXE name is NULL item will be deleted from the group if
it
; exists there.
;
[group1]
"Dr. Watson"

[group2]
"Object Packager",  PACKAGER.EXE,,,          packager
"Character Map",    CHARMAP.EXE,,,           charmap
   etc.

[group3]
"File Manager",     WINFILE.EXE
"Control Panel",    CONTROL.EXE
   etc.

[group4]
"Write",            WRITE.EXE
"Paintbrush",       PBRUSH.EXE,,,            pbrush
   etc.

[group5]
"Solitaire",        SOL.EXE,,,               sol
"Minesweeper",      WINMINE.EXE,,,           winmine

[group6]
"Solitaire",        SOL.EXE,,,               sol
"Minesweeper",      WINMINE.EXE,,,           winmine

[group7]
"PIF Editor",       PIFEDIT.EXE
"Read Me"
   etc.

The following is the file after you make the modifications for
WordPerfect (the modifications are in bold):

; This section is used for upgrading from 3.X to 3.1.
[new.groups]
group1=StartUp
group2=Accessories
group6=Games
group7=Main,1
group8=WordPerfect

; This section is for new install.
[progman.groups]
group1=StartUp
group3=Main,1
group4=Accessories
group5=Games
group8=WordPerfect

After [group7] you would also add:
[group8]
"WordPerfect",      J:\APPS\WPWIN\WPWIN.EXE
"File Manager",     J:\APPS\WPC\FMWIN.EXE
"Speller",          J:\APPS\WPC\SPWIN.EXE
"Thesaurus",        J:\APPS\WPC\THWIN.EXE

Adding WPWIN for users who have not yet run SETUP /N:
After making these changes and saving the file, the user will need
to go to each workstation and run SETUP /N.  This will install
Windows and add the WordPerfect group to your desktop.

Adding WPWIN to a user's existing desktop after they have run SETUP
/N:
If the user is installing WordPerfect after installing Windows,
they will need to make the modifications above and then go into
Windows.  When they are in Windows, choose File|Run from the
Program Manager menu and then type "SETUP /P".  Windows 3.1 will
then update the default groups and add the WordPerfect group to the
desktop.  If the user has deleted items from one of the default
groups like MAIN, the setup program will update it with the items
shown in the STARTUP.INF file.